Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.hyperneat.substrate
Class SubstrateFactory

    java.lang.Object
      org.encog.neural.hyperneat.substrate.SubstrateFactory

    public class SubstrateFactory

extends Object

Produce substrates for various topologies. Currently provides the sandwich topology. You can create any topology you wish, this is simply a convienance method. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

Constructor Summary
`SubstrateFactory()`

Method Summary
`static Substrate` | `factorSandwichSubstrate(int inputEdgeSize, int outputEdgeSize)` Create a sandwich substrate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstrateFactory

    public SubstrateFactory()

Method Detail

### factorSandwichSubstrate

    public static Substrate factorSandwichSubstrate(int inputEdgeSize,
                                                    int outputEdgeSize)

  Create a sandwich substrate. A sandwich has an input layer connected directly to an output layer, both are square.

  Parameters:
    `inputEdgeSize` - The input edge size.
    `outputEdgeSize` - The output edge size.
  Returns:
    The substrate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.